"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Persister = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const PERSISTENCE_FOLDER = path_1.default.join(process.cwd(), '.storage');
class Persister {
    constructor() {
        if (!fs_1.default.existsSync(PERSISTENCE_FOLDER)) {
            fs_1.default.mkdirSync(PERSISTENCE_FOLDER);
        }
    }
    loadData(key) {
        const pathToFile = path_1.default.join(PERSISTENCE_FOLDER, key);
        if (!fs_1.default.existsSync(pathToFile)) {
            return undefined;
        }
        return fs_1.default.readFileSync(path_1.default.join(PERSISTENCE_FOLDER, key), { encoding: 'utf-8' });
    }
    saveData(key, value) {
        const pathToFile = path_1.default.join(PERSISTENCE_FOLDER, key);
        fs_1.default.writeFileSync(pathToFile, value);
    }
}
exports.Persister = Persister;
