/// <reference types="node" />
import express from 'express';
import Http from 'http';
import { ExpressCallback, ExpressMiddleware } from './types/index';
export declare class Webserver {
    private server;
    private httpServer;
    private port;
    private logRequests;
    constructor(port: number, logRequests: boolean);
    start(): void;
    stop(): void;
    getHttpServer(): Http.Server;
    getExpressServer(): express.Express;
    addMiddleware(middleware: ExpressMiddleware): void;
    addPostRoute(route: string, callback: ExpressCallback): void;
    addGetRoute(route: string, callback: ExpressCallback): void;
    addDeleteRoute(route: string, callback: ExpressCallback): void;
}
