import express from 'express';
import LedController from 'ws2801-pi';
import { Config } from './types';
export declare class Ws2801Webserver {
    private ledController;
    private webserver;
    private socketIoServer;
    private authService;
    private config;
    private currentAnimationProcess;
    constructor(config?: Config, ledController?: LedController);
    start(): void;
    stop(): void;
    getLedController(): LedController;
    getExpressServer(): express.Express;
    private addRoutes;
    private addSocketIoEmitters;
    private loginRequired;
    private getLedStrip;
    private fillLedStrip;
    private clearLedStrip;
    private setSingleLedColor;
    private setBrightness;
    private getBrightness;
    private setLedStrip;
    private startAnimation;
    private stopAnimation;
    private waitForAnimationToFinish;
}
